classification
Title: Add more standard baud rate constants to "termios"
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.9
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Andrey Smirnov, anthonypjshaw, twouters
Priority: normal Keywords: patch

Created on 2016-10-05 19:22 by Andrey Smirnov, last changed 2020-01-04 12:57 by twouters. This issue is now closed.

Files
File name Uploaded Description Edit
add-more-termios-baudrates.patch Andrey Smirnov, 2016-10-05 19:22 review
Pull Requests
URL Status Linked Edit
PR 13142 merged anthonypjshaw, 2019-05-06 22:36
Messages (3)
msg278145 - (view) Author: Andrey Smirnov (Andrey Smirnov) Date: 2016-10-05 19:22
Termios magic constants for the following baud rates:

  - B500000
  - B576000
  - B921600
  - B1000000
  - B1152000
  - B1500000
  - B2000000
  - B2500000
  - B3000000
  - B3500000
  - B4000000

in Linux are different between various architectures (i. e. PowerPC and Alpha are different from the rest of them). And because they are defined as per-processor symbols the only way to access them is if they are built-in as a part of CPython during its compilation.

Attached is the patch implementing that
msg341655 - (view) Author: anthony shaw (anthonypjshaw) * (Python triager) Date: 2019-05-06 22:39
Converted the original patch as a PR GH-13142 this seems like a good idea and an easy change
msg359284 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2020-01-04 12:56
New changeset 7dc72b8d4f2c9d1eed20f314fd6425eab66cbc89 by T. Wouters (Anthony Shaw) in branch 'master':
bpo-28367: Add additional baud rates for termios (GH-13142)
https://github.com/python/cpython/commit/7dc72b8d4f2c9d1eed20f314fd6425eab66cbc89
History
Date User Action Args
2020-01-04 12:57:13twouterssetstatus: open -> closed
stage: patch review -> resolved
versions: + Python 3.9, - Python 3.7
2020-01-04 12:56:47twouterssetmessages: + msg359284
2019-05-06 22:39:33anthonypjshawsetnosy: + anthonypjshaw
messages: + msg341655
2019-05-06 22:36:51anthonypjshawsetpull_requests: + pull_request13055
2016-10-07 22:23:33terry.reedysetstage: patch review
versions: + Python 3.7
2016-10-05 19:22:47Andrey Smirnovcreate